Page Summary
-
The MutateCampaignCriteria operation allows you to create, update, or remove campaign criteria.
-
This operation returns the status of each operation performed.
-
A variety of errors can be thrown during this process, including AuthenticationError and AuthorizationError.
-
The MutateCampaignCriteria operation requires the
https://www.googleapis.com/auth/adwordsOAuth scope.
Creates, updates, or removes criteria. Operation statuses are returned.
List of thrown errors: AdxError AuthenticationError AuthorizationError CampaignCriterionError CollectionSizeError ContextError CriterionError DatabaseError DistinctError FieldError FieldMaskError FunctionError HeaderError IdError InternalError MutateError NewResourceCreationError NotEmptyError NullError OperationAccessDeniedError OperatorError QuotaError RangeError RegionCodeError RequestError ResourceCountLimitExceededError SizeLimitError StringFormatError StringLengthError
HTTP request
POST https://googleads.googleapis.com/v21/customers/{customerId}/campaignCriteria:mutate
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
customerId |
|
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "operations": [ { object ( |
| Fields | |
|---|---|
operations[] |
CampaignCriterionOperation) |
partialFailure |
|
responseContentType |
ResponseContentType) |
validateOnly |
|
Response body
Response message for campaign criterion mutate.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "partialFailureError": { object ( |
| Fields | |
|---|---|
partialFailureError |
Status) |
results[] |
MutateCampaignCriterionResult) |
- Authorization scopes
-
Requires the following OAuth scope:
https://www.googleapis.com/auth/adwords
For more information, see the OAuth 2.0 Overview.